lockward(6x)

NAME
lockward - Rotating spinning color-cycling things

SYNOPSIS
lockward [--display displayspec] [--root] [--window-id number] [--window] [--visual arg] [--window-id arg] [--delay usec] [--pair] [--fps] [--blink | --no-blink] [--rotateidle-min msec] [--rotateidle-max msec] [--blinkidle-min msec] [--blinkidle-max msec] [--blinkdwell-min msec] [--blinkdwell-max msec]

DESCRIPTION
lockward draws a spinning, rotating set of notched wheels overlaid with some flashing effects, using OpenGL. It's a sort of cross between the wards in a combination lock and those old information displays that animated via polarized light.

OPTIONS

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the ID number (decimal or hex) of a specific visual.

--window
    Draw on a newly-created window (default).

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--delay microseconds
    Per-frame delay, in microseconds. Default: 20000 (50 frames/sec).

--blink | --no-blink
    Enables/disables the blinking effects. Default: Enabled.

--fps
    Display the current frame rate, CPU load, and polygon count.

--rotateidle-min milliseconds

--rotateidle-max milliseconds
    The minimum and maximum time each spinner will sit idle, in milliseconds. Defaults: Min 1000, max 6000.

--blinkidle-min milliseconds

--blinkidle-max milliseconds
    The minimum and maximum time between blinking effects, in milliseconds. Defaults: Min 1000, max 9000.

--blinkdwell-min milliseconds

--blinkdwell-max milliseconds
    The minimum and maximum dwell time for the blinking effects, in milliseconds. This affects how quickly the blinks actually happen. Defaults: Min 100, max 600.

ENVIRONMENT

DISPLAY
    Default host and display number.

XENVIRONMENT
    Name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

AUTHORS
Leo L. Schwab <ewhac@best.com>